# Java 中的语句类型

> 原文： [https://howtodoinjava.com/java/basics/types-of-statements-in-java/](https://howtodoinjava.com/java/basics/types-of-statements-in-java/)

一条语句指定 Java 程序中的一个动作，例如将`x`和`y`的和分配给`z`，将消息打印到标准输出，将数据写入文件等。

Java 语句可以大致分为三类：

*   声明
*   表达式语句
*   控制流声明

## 声明

声明语句用于**声明变量**。 例如，

```java
int num;
int num2 = 100;
String str;

```

## 表达式语句

以`;`结尾的**表达式**称为表达式语句。 例如，

```java
/Increment and decrement expressions
num++;
++num;
num--;
--num;

//Assignment expressions
num = 100;
num *= 10;

//Method invocation expressions 
System.out.println("This is a statement");
someMethod(param1, param2);

```

## 控制流语句

默认情况下，Java 程序中的所有语句均按照它们在程序中出现的顺序执行。 有时，您可能希望多次或只要特定条件为真就重复执行一组语句。

使用控制流语句在 Java 中所有这些都是可能的。 `If`块，`while`循环和`for`循环语句是控制流语句的示例。

您可以在此博客的单独教程中了解有关这些步骤的更多信息。

**祝您学习愉快！**