# Java `String.contains()`方法示例

> 原文： [https://howtodoinjava.com/java/string/java-string-contains-example/](https://howtodoinjava.com/java/string/java-string-contains-example/)

Java `String.contains()`搜索给定字符串中的子字符串。 如果在该字符串中找到子字符串，则返回`true`，否则返回`false`。

## 1\. `String.contains()`方法

使用`String.contains()`查找给定字符串中是否存在子字符串。 请记住，此方法区分**区分大小写**。

#### 1.1 方法语法

该方法在内部利用`indexOf()`方法来检查子字符串的索引。 如果存在子字符串，则索引将始终大于`'0'`。

```java
/**
* @param substring - substring to be searched in this string
* 
* @return - true if substring is found,
* 			false if substring is not found
*/
public boolean contains(CharSequence substring) {
    return indexOf(s.toString()) > -1;
}

```

#### 1.2 `null`不是有效的方法参数

`String.contains()`方法不接受`null`参数。 如果方法参数为`null`，它将抛出`NullPointerException`。

```java
Exception in thread "main" java.lang.NullPointerException
	at java.lang.String.contains(String.java:2120)
	at com.StringExample.main(StringExample.java:7)

```

## 2\. `String.contains()`示例

查找给定字符串中是否存在查找子字符串的 Java 程序。

```java
public class StringExample 
{
    public static void main(String[] args) 
    {
        System.out.println("Hello World".contains("Hello"));	//true

        System.out.println("Hello World".contains("World"));	//true

        System.out.println("Hello World".contains("WORLD"));	//false - case-sensitive

        System.out.println("Hello World".contains("Java"));		//false
    }
}

```

程序输出。

```java
true
true
false
false

```

在此示例中，我们学会了使用 Java `String.contains()`方法来**检查给定字符串**中是否存在子字符串。

参考文献：

[Java 字符串指南](https://howtodoinjava.com/java-string/)
[`String` Java 文档](https://docs.oracle.com/javase/9/docs/api/java/lang/String.html)