# Java `String.charAt()`方法示例

> 原文： [https://howtodoinjava.com/java/string/string-charat-method-example/](https://howtodoinjava.com/java/string/string-charat-method-example/)

方法`java.lang.String.charAt(int index)`返回[字符串](https://howtodoinjava.com/java-string/)对象中指定的`index`变量处的字符。

众所周知，Java 字符串内部存储在`char`数组中。 此方法仅使用`index`从字符串对象中的后备`char`数组获取字符。

## 1\. `charAt()`方法参数

唯一的方法参数是`index`。 它必须是`int`类型。`index`参数必须为：

1.  大于等于“0”
2.  小于字符串字符的长度，即`str.length()`

任何无效的索引参数将导致[`StringIndexOutOfBoundsException`](https://docs.oracle.com/javase/8/docs/api/java/lang/StringIndexOutOfBoundsException.html)。

## 2\. Java `String.charAt()`方法示例

让我们学习结合使用`String.charAt()`方法和实时示例。

```java
public class StringExample 
{
    public static void main(String[] args) throws Exception 
    {
        String blogName = "howtodoinjava.com";

        char c1 = blogName.charAt(0);   //first character
        char c2 = blogName.charAt(blogName.length() - 1);   //last character
        char c3 = blogName.charAt( 5 );        //random character

        System.out.println("Character at 0 index is: "+c1);
        System.out.println("Character at last is: "+c2);
        System.out.println("Character at 5 index is: "+c3);

        char c4 =  blogName.charAt( 50 );        //invalid index
    }
}

```

程序输出：

```java
Character at 0 index is: h
Character at last is: m
Character at 5 index is: d

Exception in thread "main" java.lang.StringIndexOutOfBoundsException: 
	String index out of range: 50
	at java.lang.String.charAt(String.java:658)
	at com.howtodoinjava.demo.StringExample.main(StringExample.java:17)

```

在此示例中，我们通过示例了解了`String`类的`charAt()`方法。

学习愉快！

参考：

[`String` Java 文档](https://docs.oracle.com/javase/9/docs/api/java/lang/String.html)