# Java `String.toUpperCase()`方法示例

> 原文： [https://howtodoinjava.com/java/string/java-string-touppercase-method/](https://howtodoinjava.com/java/string/java-string-touppercase-method/)

Java `String.toUpperCase()`返回一个字符串，该字符串是将给定字符串中的所有字符转换为**大写**的结果。

> 阅读更多： [Java 示例将字符串大写](https://howtodoinjava.com/java/string/convert-string-to-titlecase/)

## 1\. `String.toUpperCase()`方法

使用`String.toUpperCase()`将任何字符串转换为大写字母。

#### 1.1 方法语法

`String.toUpperCase()`方法已重载，有两种变体。

```java
/**
* @param locale - locale use the case transformation rules for given locale
* 
* @return - string converted to uppercase
*/
public String toUpperCase();

public String toUpperCase(Locale locale);

```

#### 1.2 `null`不是有效的方法参数

方法不接受`null`参数。 如果方法参数为`null`，它将抛出`NullPointerException`。

```java
Exception in thread "main" java.lang.NullPointerException
	at java.lang.String.toUpperCase(String.java:2710)
	at com.StringExample.main(StringExample.java:11)

```

## 2\. Java 将字符串转换为大写示例

Java 程序使用默认语言环境规则将字符串转换为大写。

```java
public class StringExample 
{
    public static void main(String[] args) 
    {
        String string = "hello world";

        String uppercaseString = string.toUpperCase();

        System.out.println(uppercaseString);
    }
}

```

程序输出。

```java
HELLO WORLD

```

> `toUpperCase()`方法等于调用`toUpperCase(Locale.getDefault())`。

## 3\. Java `String.toUpperCase(Locale)`示例

Java 程序使用默认语言环境规则将字符串转换为大写。

```java
public class StringExample 
{
    public static void main(String[] args) 
    {
        System.out.println("hello world".toUpperCase(Locale.getDefault()));
        System.out.println("Γειά σου Κόσμε".toUpperCase(Locale.US));
    }
}

```

程序输出：

```java
HELLO WORLD
ΓΕΙΆ ΣΟΥ ΚΌΣΜΕ

```

在此示例中，我们学会了**将字符串转换为大写**。

参考文献：

[Java 字符串指南](https://howtodoinjava.com/java-string/)
[`String` Java 文档](https://docs.oracle.com/javase/9/docs/api/java/lang/String.html)