# Java `String.toLowerCase()`方法示例

> 原文： [https://howtodoinjava.com/java/string/java-string-tolowercase-method/](https://howtodoinjava.com/java/string/java-string-tolowercase-method/)

Java `String.toLowerCase()`返回一个字符串，该字符串是将给定字符串中的所有字符转换为**小写字母**的结果。

## 1\. `String.toLowerCase()`方法

使用`String.toLowerCase()`将任何字符串转换为小写字母。

#### 1.1 方法语法

`String.toLowerCase()`方法已重载，有两种变体。

```java
/**
* @param locale - locale use the case transformation rules for given locale
* 
* @return - string converted to lowercase
*/
public String toLowerCase();

public String toLowerCase(Locale locale);

```

#### 1.2 `null`不是有效的方法参数

方法不接受`null`参数。 如果方法参数为`null`，它将抛出`NullPointerException`。

```java
Exception in thread "main" java.lang.NullPointerException
	at java.lang.String.toLowerCase(String.java:2710)
	at com.StringExample.main(StringExample.java:11)

```

## 2\. Java 将字符串转换为小写示例

Java 程序使用默认语言环境规则将字符串转换为小写。

```java
public class StringExample 
{
    public static void main(String[] args) 
    {
        String string = "Hello World";

        String lowercaseString = string.toLowerCase();

        System.out.println(lowercaseString);
    }
}

```

程序输出。

```java
hello world

```

> `toLowerCase()`方法等于调用`toLowerCase(Locale.getDefault())`。

## 3\. Java `String.toLowerCase(Locale locale)`示例

Java 程序使用默认语言环境规则将字符串转换为小写。

```java
public class StringExample 
{
    public static void main(String[] args) 
    {
        System.out.println("hello world".toLowerCase(Locale.getDefault()));
        System.out.println("Γειά σου Κόσμε".toLowerCase(Locale.US));
    }
}

```

程序输出：

```java
hello world
γειά σου κόσμε

```

在此示例中，我们学会了**将字符串转换为小写**。

参考文献：

[Java 字符串指南](https://howtodoinjava.com/java-string/)
[`String` Java 文档](https://docs.oracle.com/javase/9/docs/api/java/lang/String.html)