# Java 命令行参数

> 原文： [https://howtodoinjava.com/java/basics/command-line-args/](https://howtodoinjava.com/java/basics/command-line-args/)

启动 Java 程序时传递的程序参数称为**命令行参数**。

可以从[控制台](https://howtodoinjava.com/java/io/java-io-how-to-read-input-from-console/)或从编辑器启动 Java 程序。 要启动程序，我们必须使用命令提示符或系统控制台中的`java className`命令。 启动程序时，我们可以使用以下语法传递附加参数（无参数数量限制）。

## 1\. 命令行参数语法

在下面给出的语法中，我们将 5 个参数传递给启动类`MyClass`。`MyClass`具有[`main()`](https://howtodoinjava.com/java/basics/main-method/)方法，该方法以[字符串](https://howtodoinjava.com/java-string/)数组的形式接受这些参数。

```java
$ java MyClass arg1 arg2 arg3 arg4 arg5

```

## 2\. Java 命令行参数示例

让我们创建一个示例，以了解命令行程序参数如何在 Java 中工作。 此类简单地接受参数并将其打印在控制台中。

作为程序员，我们可以将这些参数用作启动参数来自定义应用程序在运行时的行为。

```java
package app;

public class Main 
{
  public static void main(String[] args) 
  {
    for(int i = 0; i< args.length; i++) 
    {
      System.out.println( args[i] );
    }
  }
}

```

现在从控制台运行此类。

```java
$ java Main 1 2 3 4

#prints

1
2
3
4

```

## 3\. 总结

*   **命令行参数**可用于在启动应用程序时指定配置信息。
*   对参数的最大数量没有限制。 我们可以指定任意数量的参数。
*   参数作为字符串传递。
*   传递的参数将作为`main()`方法参数中的字符串[数组](https://howtodoinjava.com/java-array/)检索。

学习愉快！