# Java JDBC 教程

> 原文： [https://howtodoinjava.com/jdbc-tutorials/](https://howtodoinjava.com/jdbc-tutorials/)

Java 数据库连接（JDBC）API 提供了来自 Java 的通用数据访问。 使用 JDBC API，您几乎可以访问任何数据源，从关系数据库到电子表格和平面文件。

JDBC API 由两个包组成：

*   [`java.sql`](https://docs.oracle.com/javase/7/docs/api/java/sql/package-summary.html)
*   [`javax.sql`](https://docs.oracle.com/javase/7/docs/api/javax/sql/package-summary.html)

这两个包都是通过 Java 平台标准版（Java SE）下载的。

## JDBC 基础

*   [JDBC 驱动的类型](//howtodoinjava.com/java/jdbc/jdbc-basics-types-of-jdbc-drivers/)
    
    了解所有 4 种类型的 JBDC 驱动。
*   [JDBC MySQL 数据库连接示例](//howtodoinjava.com/java/jdbc/jdbc-mysql-database-connection-example/)
    
    了解如何使用 JDBC 连接到 mysql 数据库。

## JDBC CRUD 示例

*   [JDBC `SELECT`查询示例](//howtodoinjava.com/java/jdbc/jdbc-select-query-example/)
    
    通过 JDBC 使用 SQL `SELECT`查询的示例。
*   [JDBC SQL `INSERT`查询示例](//howtodoinjava.com/java/jdbc/jdbc-sql-insert-query-example/)
    
    通过 JDBC 使用 SQL `INSERT`查询的示例。
*   [JDBC SQL `DELETE`查询示例](//howtodoinjava.com/java/jdbc/jdbc-sql-delete-query-example/)
    
    使用 JDBC 使用 SQL `DELETE`查询的示例。

## JDBC `PreparedStatement`

*   [如何执行`PreparedStatement`](//howtodoinjava.com/java/jdbc/how-to-execute-preparedstatement-using-jdbc/)
    
    了解 JDBC `PreparedStatement`的工作方式并研究示例。

## JDBC 最佳实践

*   [JDBC 性能优化技巧](//howtodoinjava.com/java/jdbc/best-practices-to-improve-jdbc-performance/)
    
    了解 4 种最有用的 JDBC 最佳实践，以提高应用性能。

## 相关的 SQL 教程

*   [MySQL 配置教程](//howtodoinjava.com/misc/sql/mysql-configuration-tutorial/)
*   [查找员工最高薪水的 SQL 查询](//howtodoinjava.com/misc/sql/sql-query-to-find-find-the-nth-highest-salary-of-an-employee/)
*   [SQL – 不使用临时表删除重复行](//howtodoinjava.com/misc/sql/how-to-remove-duplicate-rows-in-mysql-without-using-temporary-table/)
*   [`SQLException`：重新安装 MySQL 服务器后，用户`root@localhost`的访问被拒绝](//howtodoinjava.com/misc/sql/sqlexception-access-denied-for-user-rootlocalhost-after-re-installation-of-mysql-server/)

## JDBC 资源

*   [JDBC Wiki](https://en.wikipedia.org/wiki/Java_Database_Connectivity)
*   [JDBC 文档](https://docs.oracle.com/javase/tutorial/jdbc/basics/)
*   [JDBC Java 7 指南](https://docs.oracle.com/javase/7/docs/technotes/guides/jdbc/)
*   [JDBC 资源集合](https://www.databasestar.com/jdbc-in-java/)