# Maven ant 插件 – 从`pom.xml`生成`build.xml`

> 原文： [https://howtodoinjava.com/maven/maven-ant-plugin/](https://howtodoinjava.com/maven/maven-ant-plugin/)

假设您已经从 [maven](//howtodoinjava.com/category/frameworks/maven/ "maven") 创建并维护了您的项目很长时间，但是现在您有了将其移至 Ant 构建环境的说明。 好吧，这看起来并不容易，但是确实很多。

仅用于此目的的 [maven ant 插件](https://maven.apache.org/plugins/maven-ant-plugin/ "maven's ant plugin")即可使用。

```java
$ mvn ant:ant

```

让我们看一个详细的示例，以**使用 *maven ant 插件*从 maven pom 文件**生成 ant 构建文件。

## 1\. 创建示例 Maven 项目

```java
$ mvn archetype:generate 
			-DgroupId=com.howtodoinjava 
			-DartifactId=antBuildScriptDemo
			-DarchetypeArtifactId=maven-archetype-quickstart 
			-DinteractiveMode=false

```

## 2\. 从`pom.xml`生成 ant 脚本

```java
$ cd antBuildScriptDemo
$ mvn ant:ant

```

## 3\. 从`pom.xml`生成`build.xml`的演示

上面的命令将**在项目根文件夹中生成 3 个文件**。

1.  `build.xml`
2.  `maven-build.properies`
3.  `maven-build.xml`

要运行上面生成的 ant 文件，请在系统中安装 ant 并执行如下所示的`build.xml`文件：

```java
ant build.xml

```

学习愉快！

参考： [http://maven.apache.org/plugins/maven-ant-plugin/index.html](https://maven.apache.org/plugins/maven-ant-plugin/ "maven's ant plugin")