# 如何加快缓慢的 Android AVD / 模拟器

> 原文： [https://howtodoinjava.com/android/how-to-speed-up-a-slow-android-avdemulator/](https://howtodoinjava.com/android/how-to-speed-up-a-slow-android-avdemulator/)

在上一教程中，我分享了 Windows 机器中 Android ADT 工具包的[安装步骤](//howtodoinjava.com/android/android-tutorial-install-android-on-windows/ "Android Tutorial : Install Android on Windows")。 然后，我们学习了有关创建 AVD（虚拟设备或仿真器）的知识，并将 HelloWorld 应用部署到了仿真器上。 您必须注意到一件事，默认情况下的仿真器非常慢。 我的意思是，它们是如此之慢，以至于您可以在此期间享用午餐，而且它们将一直处于加载状态。 我们可以改善这种慢速模拟器吗？ 是的，我们可以。 让我们看看如何。

## 加快缓慢的 Android 模拟器

#### 步骤 1）使用 SDK Manager 下载 HAXM 驱动

要提高仿真器的性能，您首先需要从 Android ADT 获得的 SDK Manager 中安装“**英特尔硬件加速执行管理器驱动**”。 查看下面的屏幕截图。

![Emulator Accelerator Option](img/c726be8572b189d820e21965c77d40fd.png)

仿真器加速器选项



#### 步骤 2）执行`IntelHaxm.exe`以安装 HAXM 驱动

这将在您的 android ADT 包的“`extra`”文件夹中创建`IntelHaxm.exe`。 执行此文件以安装负责系统中虚拟化的 HAXM 驱动。

![intelhaxm exe file](img/ae0a0b025c8b5801c0be89c13811a0d5.png)

intelhaxm exe 文件



#### 步骤 3）如果驱动安装失败，请更新 BIOS

上述安装过程可能会失败，建议您更新与“`Intel Virtualization Technology`”相关的 **BIOS 配置**。 继续做吧。 有关此步骤的相关信息，请阅读购买时随主板附带的手册。

通常，在引导过程期间通过**按下“`DEL`”键**进入 BIOS 选项时，可以在第三个选项卡中轻松找到菜单选项“`Intel Virtualization Technology`”。 启用此选项并重新启动机器。

#### 步骤 4）使用主机 GPU 选项

启用虚拟化技术后，您可以在创建仿真器时使用此功能，方法是选中“**使用主机 GPU**”复选框。 这将启用系统对模拟器虚拟化的本地支持。

![Configure-Android-Virtual-Device-Host-GPU](img/2f768fff089f3520fa04cad3efbe1845.png)

配置 Android 虚拟设备主机 GPU



#### 步骤 5）测试配置更改

现在启动仿真器，并查看通过上述步骤获得的主要性能提升。

**祝您学习愉快！**