# Python 将元组解压缩为变量或参数

> 原文： [https://howtodoinjava.com/python/unpack-tuple-sequence/](https://howtodoinjava.com/python/unpack-tuple-sequence/)

Python 示例将 N 元素元组或序列解压缩为 N 个变量的集合。 Python 示例**将元组解包为变量**。

## 1\. Python 解压元组示例

可以使用简单的赋值操作将任何序列（或可迭代）解压缩为变量。 唯一的要求是变量和结构的**数量与序列**匹配。

#### 1.1 解压示例 – 1

```py
>>> data = (1, 2, 3)
>>> x, y, z = data
>>> x
1
>>> y
2
>>> z
3

```

#### 1.2 解压示例 – 2

```py
>>> data = [ 'Lokesh', 37, 73.5, (1981, 1, 1) ]

>>> name, age, weight, dob = data

>>> name
'Lokesh'
>>> dob
(1981, 1, 1)

# Another Variation

>>> name, age, weight, (year, mon, day) = data

>>> name
'Lokesh'
>>> year
1981
>>> mon
1
>>> day
1

```

#### 1.3 解压示例 – 3

```py
>>> greeting = 'Hello'

>>> a, b, c, d, e = greeting

>>> a
'H'	
>>> b
'e'
>>> c
'o'

```

## 2.解包时可能出现的错误

如果元素的数量**不匹配**，则会出现错误。

```py
>>> p = (4, 5)

>>> x, y, z = p

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ValueError: need more than 2 values to unpack

```

学习愉快！