# Spring MVC 教程

> 原文： [https://howtodoinjava.com/spring-mvc-tutorial/](https://howtodoinjava.com/spring-mvc-tutorial/)

给定的 Spring MVC 教程和示例应用程序将帮助您构建健壮的 Web 应用程序并解决开发中遇到的问题。

![Spring tutorials](img/85bf44a9b4d267aa37013e855837852e.jpg)

## Hello World 的例子

*   [Spring MVC Hello World 示例](https://howtodoinjava.com/spring/spring-mvc/spring-mvc-hello-world-example/)

    编写 Spring 4 MVC 应用程序，了解后端发生了什么。

*   [`@RequestMapping`注解示例](https://howtodoinjava.com/spring/spring-mvc/spring-mvc-requestmapping-annotation-examples/)

    使用`@RequestMapping`注解编写 MVC 应用程序。

*   [带有 Maven 和 JSTL 的 **Spring 3 mvc hello world 应用](https://howtodoinjava.com/jstl/spring-3-mvc-hello-world-application-with-maven-and-jstl/)

    学习使用 maven 创建 Spring 3.x MVC 应用程序进行依赖管理。

## 表单处理示例

*   [显示，验证和提交表单的示例](https://howtodoinjava.com/spring/spring-mvc/spring-mvc-display-validate-and-submit-form-example/)

    编写基于 HTML 表单的 spring mvc 应用程序及其端到端流程的完整示例。

*   [`ResourceBundleViewResolver`配置示例](https://howtodoinjava.com/spring/spring-mvc/spring-mvc-resourcebundleviewresolver-configuration-example/)

    在 spring mvc 应用程序中编写`ResourceBundleViewResolver`的示例。

*   [`InternalResourceViewResolver`配置示例](https://howtodoinjava.com/spring/spring-mvc/spring-mvc-internalresourceviewresolver-configuration-example/)

    在 spring mvc 应用程序中编写`InternalResourceViewResolver`的示例。

*   [国际化 (i18n) 和本地化 (i10n) 示例](https://howtodoinjava.com/spring/spring-mvc/spring-mvc-internationalization-i18n-and-localization-i10n-example/)

    在 Spring MVC 应用程序中处理国际化和本地化功能。

*   [`MessageSourceAware` Java Bean 示例](https://howtodoinjava.com/spring/spring-mvc/spring-messagesourceaware-java-bean-example/)

    编写消息源感知 bean 的 Spring MVC 示例。

*   [`HandlerInterceptor`示例](https://howtodoinjava.com/spring/spring-mvc/spring-intercepting-requests-using-handlerinterceptor-with-example/)

    使用`HandlerInterceptor`编写 spring MVC 拦截器。

*   [`SimpleMappingExceptionResolver`示例](https://howtodoinjava.com/spring/spring-mvc/spring-mvc-simplemappingexceptionresolver-example/)

    使用`SimpleMappingExceptionResolver`编写异常处理逻辑。

*   [`<context:annotation-config>` vs `<context:component-scan>`](https://howtodoinjava.com/spring/spring-mvc/spring-mvc-difference-between-contextannotation-config-vs-contextcomponent-scan/)

    了解`<context:annotation-config>`与`<context:component-scan>`之间的区别。

## 验证示例

*   [弹出和验证下拉菜单的示例](https://howtodoinjava.com/spring/spring-mvc/spring-mvc-populate-and-validate-dropdown-example/)

    编写示例以填充和验证 Spring MVC 应用程序中的选择框字段。

*   [Bean 验证 – JSR-303 注解](https://howtodoinjava.com/spring/spring-mvc/spring-bean-validation-example-with-jsr-303-annotations/)

    使用`JSR-303`注解编写验证。

*   [自定义验证示例](https://howtodoinjava.com/spring/spring-mvc/spring-mvc-custom-validator-example/)

    在 Spring MVC 应用程序中编写自定义验证逻辑。

## 文件上传/下载示例

*   [Spring MVC 多文件上传示例](https://howtodoinjava.com/spring/spring-mvc/spring-mvc-multi-file-upload-example/)

    使用 spring MVC 编写多个文件上传控制器的示例。

*   [带有进度条的 Spring MVC 多文件上传](https://howtodoinjava.com/spring/spring-mvc/spring-mvc-multi-file-upload-with-progress-bar/)

    使用 spring MVC 在 UI 上编写带有进度条的多个文件上传控制器的示例。

*   [Spring MVC 文件下载控制器示例](https://howtodoinjava.com/spring/spring-mvc/spring-mvc-download-file-controller-example/)

    使用 spring MVC 编写文件下载控制器的示例。

## Spring MVC 面试问题

*   [Spring MVC 面试问题和答案](https://howtodoinjava.com/spring/spring-mvc/spring-mvc-interview-questions-with-answers/)

    Spring MVC 面试最常见的 20 个问题。

## 常见错误

*   [`java.lang.NoClassDefFoundError`：无法初始化类`org.hibernate.validator.engine.ConfigurationImpl`](https://howtodoinjava.com/spring/spring-mvc/solved-java-lang-noclassdeffounderror-could-not-initialize-class-org-hibernate-validator-engine-configurationimpl/)

资源：

[Spring 4 MVC 文档](https://docs.spring.io/spring/docs/4.2.x/spring-framework-reference/html/spring-web.html)

[Spring 3 MVC 文档](https://docs.spring.io/spring/docs/3.2.x/spring-framework-reference/html/spring-web.html)

[Bean 验证](http://beanvalidation.org/1.0/spec/)